setNetworkAclDescription

Prev Next

Available in VPC

Edit the description of a network ACL by specifying the network ACL number.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/setNetworkAclDescription
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the network ACL whose description you want to edit
networkAclNo String Required Number of network ACL whose description you want to edit
networkAclDescription String Optional Description of the network ACL you want to edit (byte)
  • 0-1000
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setNetworkAclDescription
?regionCode=KR
&networkAclNo=***31
&networkAclDescription=test-description' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NetworkAclList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<setNetworkAclDescriptionResponse>
  <requestId>b3826530-2906-476e-916f-c3f29221c59d</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclList>
    <networkAcl>
      <networkAclNo>***31</networkAclNo>
      <networkAclName>test-***</networkAclName>
      <vpcNo>***04</vpcNo>
      <networkAclStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </networkAclStatus>
      <networkAclDescription>test-description</networkAclDescription>
      <createDate>2020-06-24T15:37:07+0900</createDate>
      <isDefault>false</isDefault>
    </networkAcl>
  </networkAclList>
</setNetworkAclDescriptionResponse>